CSS plugin not usable due to conflicting asm - versions

Description

After installing CSS plugin I was not able to create new CSS styles. This is due to two asm versions:

asm-3.1.jar
asm-5.0.3.jar

within the CSS plugin ZIP file (geoserver-2.12.1-css-plugin.zip).

After removing asm-3.1.jar all worked as expected.

Environment

None

Status

Assignee

Andrea Aime

Reporter

Tobias

Triage

None

Fix versions

Affects versions

Components

Priority

Highest
Configure